Configure should complain about missing qt5-graphicaleffects

• Nov 7, 2019 - 08:27
Reported version
3.3
Type
Development
Frequency
Many
Severity
S3 - Major
Reproducibility
Always
Status
active
Regression
No
Workaround
No
Project

Since musescore 3.3, qt5-graphicaleffects (as Arch Linux calls it) is a hard dependency, as discussed in issue #296082: Palettes completely invisible and unusable in Ubuntu 18.04, using AppImage.
It is customary for the configure step to complain vigorously about missing dependencies, however the whole project configures and compiles happily without that package.


Comments

Frequency Once Many
Severity S5 - Suggestion S3 - Major

Comes up time and time again, as it leeds to e.g. the Snap version to not work. IMHO a bug and not a feature